package com.ruoyi.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description:
 * @Author: wenhao
 * @Create: 2025/03/31 21:02
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum ElementTypeEnum implements BaseValidEnum<String> {
    /**
     * 商务初评
     */
    BUSINESS_INITIAL_EVALUATION("1", "商务初评"),
    /**
     * 商务详评
     */
    BUSINESS_DETAIL_EVALUATION("2", "商务详评"),
    /**
     * 技术初评
     */
    TECHNICAL_INITIAL_EVALUATION("3", "技术初评"),
    /**
     * 技术详评
     */
    TECHNICAL_DETAIL_EVALUATION("4", "技术详评");

    private final String code;

    private final String desc;

}
